### Method

# Malcontent AppFilter is_path_allowed

since: 0.2.0

#### Declaration [src]

    gboolean
    mct_app_filter_is_path_allowed (
      MctAppFilter* filter,
      const gchar* path
    )

#### Description [src]

Check whether the program at `path` is allowed to be run according to this app filter.

`path` will be canonicalised without doing any I/O.

Available since: 0.2.0

#### Parameters

`path`

  Type: `const gchar*`

  Absolute path of a program to check.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

#### Return value

Type: `gboolean`

True if the user this `filter` corresponds to is allowed to run the program at `path` according to the `filter` policy; false otherwise.